# Uses of Interface
org.sunflow.core.LightSource

Packages that use LightSource
Package
Description
org.sunflow
org.sunflow.core
org.sunflow.core.light
org.sunflow.core.primitive

## Uses of LightSource in org.sunflow

Fields in org.sunflow with type parameters of type LightSource
Modifier and Type
Field
Description
`static final Plugins<LightSource>`
PluginRegistry.`lightSourcePlugins`

## Uses of LightSource in org.sunflow.core

Methods in org.sunflow.core with parameters of type LightSource
Modifier and Type
Method
Description
`void`
Scene.`setLightList(LightSource[] lights)`
Update the light list for this scene.

## Uses of LightSource in org.sunflow.core.light

Classes in org.sunflow.core.light that implement LightSource
Modifier and Type
Class
Description
`class`
`DirectionalSpotlight`
`class`
`ImageBasedLight`
`class`
`PointLight`
`class`
`SphereLight`
`class`
`SunSkyLight`
`class`
`TriangleMeshLight`

## Uses of LightSource in org.sunflow.core.primitive

Classes in org.sunflow.core.primitive that implement LightSource
Modifier and Type
Class
Description
`class`
`CornellBox`